Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162163 - popup window position should not follow mouse
Summary: popup window position should not follow mouse
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 14:35 UTC by John Ellson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-08 06:20:21 UTC


Attachments (Terms of Use)

Description John Ellson 2005-06-30 14:35:57 UTC
Description of problem:
Yumex opens multiple popus during its operation.   Currently these open
at some position that follws the mouse, which is really annoying when trying to
get other work done.   Popups should open in a fixed position w.r.t the parent
window.

Version-Release number of selected component (if applicable):
yumex-0.40-5.1.fc5

How reproducible:
100%

Steps to Reproduce:
1.do an update with yumex
2.try to do something else while it is updating
3.
  
Actual results:
Can't keep yumex out of the way.

Expected results:
keep popups in fixed position relative to current parent window position.

Additional info:

Comment 1 Tim Lauridsen 2005-07-01 09:51:14 UTC
I will put it on my todo list.
Are you running KDE, i my Gnome the popups just flash in taskbar, they dont pop
up in my face. 

Comment 2 John Ellson 2005-07-01 10:34:02 UTC
No, I'm running gnome (default window manager) on Fedora-Core-4 + development
updates.

Could this be related to the gtk+-2.7.0 changes?

Comment 3 Tim Lauridsen 2005-07-01 16:15:15 UTC
I don't know, I'm running FC4 + released updates and i just get a flashing task
item on the taskbar, when a popup occours.
I will try to fix the dialog positions in a future release.



Note You need to log in before you can comment on or make changes to this bug.